//
//  DeactivateEnableHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2021/1/29.
//  Copyright © 2021 yin chen. All rights reserved.
//

#import "DeactivateEnableHttpPostCmd.h"
#import "DeactivateEnableHttpResult.h"

static NSString *kActionUrl1 = @"/Single/LoginAppByDisOrEn";

@implementation DeactivateEnableHttpPostCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[DeactivateEnableHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[DeactivateEnableHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpDeactivateEnableHttpPostCmd_userId = @"userId";
NSString *const kHttpDeactivateEnableHttpPostCmd_appVersion = @"appVersion";
